ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum Index » Archives - All » MQVE - java startup error after upgrade

This forum is locked: you cannot post, reply to, or edit topics.  This topic is locked: you cannot edit posts or make replies.
 MQVE - java startup error after upgrade « View previous topic :: View next topic » 
Author Message
Iguana5-0
PostPosted: Tue Dec 20, 2005 10:37 am    Post subject: MQVE - java startup error after upgrade Reply with quote

Newbie

Joined: 01 Jun 2005
Posts: 7
Location: North Carolina, USA

I had mqve 1.3.1 installed and working. I just upgraded to 1.3.2, and on startup, I get the following java startup error:
Code:

java.lang.UnsupportedClassVersionError: biz/capitalware/mqve/MQVE (Unsupported major.minor version 49.0)

   at java.lang.ClassLoader.defineClass0(Native Method)

   at java.lang.ClassLoader.defineClass(Unknown Source)

   at java.security.SecureClassLoader.defineClass(Unknown Source)

   at java.net.URLClassLoader.defineClass(Unknown Source)

   at java.net.URLClassLoader.access$100(Unknown Source)

   at java.net.URLClassLoader$1.run(Unknown Source)

   at java.security.AccessController.doPrivileged(Native Method)

   at java.net.URLClassLoader.findClass(Unknown Source)

   at java.lang.ClassLoader.loadClass(Unknown Source)

   at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)

   at java.lang.ClassLoader.loadClass(Unknown Source)

   at com.exe4j.runtime.LauncherEngine.launch(Unknown Source)

   at com.exe4j.runtime.WinLauncher.main(Unknown Source)



I am running XP SP2, Sun J2sdk 1.4.2_10. Is there any other info that I can give to help resolve this issue? In the meantime, I am going to uninstall and reinstall 1.3.1.
_________________
Chris Rhoden
Back to top
View user's profile Send private message
RogerLacroix
PostPosted: Tue Dec 20, 2005 11:01 am    Post subject: Reply with quote

Jedi Knight

Joined: 15 May 2001
Posts: 2769
Location: London, ON Canada

Hi Chris,

I have 3 JDKs (v1.3.1, v1.4.2 & v1.5) on my build server and MQ Visual Edit is supposed to be built with v1.4.2.
Quote:
Unsupported major.minor version 49.0

But obviously not by this error message; 49.0 means it was built with JDK v1.5.

Please download the version of MQVE v1.3.2 with the JVM and you will be fine. Note: The embedded JVM will not affect your installed Sun J2sdk 1.4.2_10.

Give it a try, you will like the new XP styled interface.

I will look into why it was built with the wrong JDK.

Regards,
Roger Lacroix
Capitalware Inc.
_________________
Capitalware: Transforming tomorrow into today.
Connected to MQ!
Twitter
Back to top
View user's profile Send private message Visit poster's website
Iguana5-0
PostPosted: Tue Dec 20, 2005 11:34 am    Post subject: Reply with quote

Newbie

Joined: 01 Jun 2005
Posts: 7
Location: North Carolina, USA

Thanks. That does work. I noticed though that the version is now 1.3.2B.

What is the XP styled interface? Do I need to have my desktop theme set to XP instead of Classic Windows? Just thought I would check.

Just let me know about the version without the JVM. I have a few more workstations to upgrade here...

Thanks again.
_________________
Chris Rhoden
Back to top
View user's profile Send private message
RogerLacroix
PostPosted: Tue Dec 20, 2005 9:49 pm    Post subject: Reply with quote

Jedi Knight

Joined: 15 May 2001
Posts: 2769
Location: London, ON Canada

Iguana5-0 wrote:
What is the XP styled interface? Do I need to have my desktop theme set to XP instead of Classic Windows?

Yes, you need to have the XP Theme enabled.

Iguana5-0 wrote:
Just let me know about the version without the JVM. I have a few more workstations to upgrade here...

I found a bug in the build script. I have fixed it and now it builds correctly using the JDK v1.4.2. I have updated the files on my web site.

Iguana5-0 wrote:
I have a few more workstations to upgrade here...

MQ Visual Edit is licensed to the end user (no license sharing). Therefore, please make sure each end user has their own license for MQ Visual Edit.

Regards,
Roger Lacroix
Capitalware Inc.
_________________
Capitalware: Transforming tomorrow into today.
Connected to MQ!
Twitter
Back to top
View user's profile Send private message Visit poster's website
Iguana5-0
PostPosted: Wed Dec 21, 2005 5:49 am    Post subject: Reply with quote

Newbie

Joined: 01 Jun 2005
Posts: 7
Location: North Carolina, USA

Thanks.
Quote:
MQ Visual Edit is licensed to the end user (no license sharing). Therefore, please make sure each end user has their own license for MQ Visual Edit.

We have 5 licenses right now. Once we get more employees, we'll purchase more, but right now, everyone is licensed.
_________________
Chris Rhoden
Back to top
View user's profile Send private message
Display posts from previous:   
This forum is locked: you cannot post, reply to, or edit topics.  This topic is locked: you cannot edit posts or make replies. Page 1 of 1

MQSeries.net Forum Index » Archives - All » MQVE - java startup error after upgrade
Jump to:  



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP
 
 


Theme by Dustin Baccetti
Powered by phpBB © 2001, 2002 phpBB Group

Copyright © MQSeries.net. All rights reserved.